org.eclipse.ecf.provider.filetransfer.events.socket

## Class SocketCreatedEvent

- java.lang.Object
- - org.eclipse.ecf.provider.filetransfer.events.socket.AbstractSocketEvent
  - - org.eclipse.ecf.provider.filetransfer.events.socket.SocketCreatedEvent

All Implemented Interfaces:
  Event, ISocketCreatedEvent, ISocketEvent

    public class SocketCreatedEvent
    extends AbstractSocketEvent
    implements ISocketCreatedEvent

### Constructor Summary

Constructors
Constructor and Description
`SocketCreatedEvent(ISocketEventSource source, Socket socket)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `getEventName()`

### Methods inherited from class org.eclipse.ecf.provider.filetransfer.events.socket.AbstractSocketEvent

`getFactorySocket, getSocket, getSource, isSameFactorySocket, setSocket, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.filetransfer.events.socket.ISocketEvent

`getFactorySocket, getSocket, getSource, isSameFactorySocket`

### Constructor Detail

#### SocketCreatedEvent

    public SocketCreatedEvent(ISocketEventSource source,
                              Socket socket)

### Method Detail

#### getEventName

    protected String getEventName()

Specified by:
  `getEventName` in class `AbstractSocketEvent`